Subject: Re: [PATCH v3 0/5] pack-write: cleanup usage of global variables

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jan 2025 07:47:14 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Sun, Jan 19, 2025 at 12:19:25PM +0100, Karthik Nayak wrote:
>> This is a small series to remove global variable usage from
>> `pack-write.c`. Mostly it bubble's up the usage of global variables to
>> upper layers. The only exception is in `write-midx.c`, which was cleaned
>> of global variable usage, so there, we use the repo that is in available
>> in the context.
>> 
>> This series is based on fbe8d3079d (Git 2.48, 2025-01-10) with
>> 'ps/more-sign-compare' and 'ps/the-repository' merged in.
>> 
>> There are no conflicts with topics in 'next', however there is a
>> conflict with 'tb/incremental-midx-part-2' in 'seen', the fix is simple
>> but happy to merge that in too if necessary.
>
> Thanks, this version looks good to me.

Thanks, both of you.  Let me mark it for 'next' then.